function  battle_bai034(npcID)--雷龙

	local sg=flag.GetBattleValue(16222)	--语言提示打法
	local hh=flag.GetBattleValue(16011)
	sh=100+hh*4
	global.Print(sh)
	
	if hh==2 and sg==0 then   --战斗对话提示
		flag.SetBattleValue(16222,1)
		local zid=battle.GetRndPlayer()
		if zid==1 then
			uid=522
		elseif zid==2 then
			uid=183
		elseif zid==4 then
			uid=127
		elseif zid==8 then
			uid=166	
		elseif zid==32 then
			uid=552
		end
		ui.Dialog(87011,uid,0,0,zid,0)--一般的攻击根本无法伤害到它，而且他的力量还在不断增强。我们试着多使用具备忽视防御的绝技，争取速战速决吧！
	end
	
	local m=flag.GetBattleValue(16001)
	local hp=battle.GetSelfHP(2)
	
	if hp>75 then
	flag.SetBattleValue(16011,hh+1)
		if m==3 then
				flag.SetBattleValue(16001,0)
				--player.ChangeYP(30)
				id=battle.GetRndPlayer()
				battle.MagicToPlayer(id,299,1)
		
		
		else
			a=battle.GetRndNumber(1,10)
			if a>=1 and a<=2 then
				m=m+1
				flag.SetBattleValue(16001,m)
				id=battle.GetRndPlayer()
				battle.SetSkillScale(sh)
				battle.MagicToPlayer(id,300,1)
			elseif a>=3 and a<=5 then
				m=m+1
				flag.SetBattleValue(16001,m)
				battle.SetSkillScale(sh)
				battle.MagicToPlayer(0,301,1)
			elseif a>=6 and a<=8 then
				m=m+1
				flag.SetBattleValue(16001,m)
				--player.ChangeYP(10)
				battle.SetSkillScale(sh)
				battle.MagicToPlayer(0,298,1)
			else
				flag.SetBattleValue(16001,0)
				--player.ChangeYP(30)
				id=battle.GetRndPlayer()
				battle.SetSkillScale(sh)
				battle.MagicToPlayer(id,299,1)			
			end
		end
	else
		camera.ChangeCameraStatic(2460,123,2920,2466,133,2821)
		npc.SetAnim(npcID,300,1)
		battle.End()
	end
	
	
end